[MEGOLDVA]Konversation telepítése

IG képe

Fórum: 

Sziasztok!

LM 19-re telepítettem az 1.7.4 verziójú konversationt szoftverközpontból.
Nem tetszik, leszedtem az 1.7.3-at és feltenném, de ez a hibaüzenet:

Make Error at /usr/share/ECM/modules/ECMQueryQmake.cmake:30 (message):
  No qmake Qt5 binary found.  Can't check QT_INSTALL_PLUGINS as required
Call Stack (most recent call first):
  /usr/share/ECM/kde-modules/KDEInstallDirs.cmake:473 (query_qmake)
  CMakeLists.txt:11 (include)

Ezen qt csomagok telepítettek jelenleg:
https://pastebin.com/qB9TN2pz

A telepítést ez alapján próbáltam:
https://userbase.kde.org/Konversation/Sources

Valami ötlet? :)
 

A hibaüzenet kiegészítése:

-- Configuring incomplete, errors occurred!
See also "/home/user/Dokumentumok/konv173/CMakeFiles/CMakeOutput.log"

Ez pedig: https://pastebin.com/Kc8PUcsr
 

kimarite képe

Konversation telepítése forrásból (2018.08.21.)

@#0 Így próbáltam (Tara):

A forgatás függőségei

-- fejlesztői csomagok - az utolsó két csomag csak opcionális, azaz nem kötelező

sudo apt-get install libkf5bookmarks-dev libkf5archive-dev libkf5crash-dev libkf5doctools-dev libkf5emoticons-dev libkf5emoticons-dev libkf5idletime-dev libkf5notifyconfig-dev libkf5kio-dev libkf5parts-dev libkf5solid-dev libkf5wallet-dev libkf5notifications-dev libphonon4qt5-dev libphonon4qt5experimental-dev libqca-qt5-2-dev

-- szükség lehet ezen csomagokra is

sudo apt-get install libkf5bookmarks-data extra-cmake-modules

Konversation

git clone git://anongit.kde.org/konversation
cd konversation/
mkdir build
cd build/
cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=/usr/local ../
make
sudo make install

A checkinstall-lal nem ment a DEB készítés (sudo checkinstall).

Tények:

sudo apt-get install libkf5kdelibs4support5-bin
kf5-config -v
Qt: 5.9.5
KDE Frameworks: 5.44.0
kf5-config: 1.0

Indítás:

/usr/local/bin/konversation

Kép:

Értékelés: 

0
Még nincs értékelve

Konversation telepítése forrásból (2018.08.21.)

#1

Helló!

Köszönöm, sikerült nekem is a leírásod alapján, viszont úgy néztem ez a legújabb verzió, ami a tárolóban is van.

Két kérdésem van: Honnan tudtad, milyen függőségek kellenek (forgatás függőségei)?

A második kérdés fontosabb lenne. Leszedtem valamelyik oldalról az tárolós verziótól egyel korábbi verzió forrását (1.7.3),
Ezt hogyan lehetne leforgartni és telepíteni? Amit írtam hibaüzenet, nálam ennél a verzió forgatásánál jelentkezik.
Lehetséges egyáltalán, hogy egy program két verziója fusson egymás mellet?

Köszönöm! :)
 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Konversation telepítése forrásból (2018.08.21.)

#2 Köszönöm, sikerült nekem is a leírásod alapján, viszont úgy néztem ez a legújabb verzió, ami a tárolóban is van.
-- ez egy jó hír. A linkelt oldalon nem írják a verziószámot, ha jól emlékszem.

Két kérdésem van: Honnan tudtad, milyen függőségek kellenek (forgatás függőségei)?
-- a forgatás közben kell figyelni a jelzéseket, és mondjuk egyet másolva (és valamennyire azt lerövidítve, ha elsőre nincs találat), a megoldásokra rá lehet keresni a neten. A fejlesztők „úgy általában” közölnek dolgokat, bár sokszor minden részletet közölnek. De például a KF5  (KDE Framework) legtöbb alkotórésze adta magát. A jelzésekben hasonlóak mutatkoztak, és szinte csak gépeltem be az alkotók neveit (a likf5 begépelése után: sudo apt-get install libkf5..), majd TAB  (vagy kettő TAB, hogy mi érhető el), és végül egy - majd TAB, azaz odakerült a dev csomagnév vég is.

A második kérdés fontosabb lenne. Leszedtem valamelyik oldalról az tárolós verziótól egyel korábbi verzió forrását (1.7.3),
Ezt hogyan lehetne leforgartni és telepíteni? Amit írtam hibaüzenet, nálam ennél a verzió forgatásánál jelentkezik.
Lehetséges egyáltalán, hogy egy program két verziója fusson egymás mellet?

-- előfordulhat, hogy lehetséges, de akkor másik könyvtárba kerüljön, pl. az opt könyvtárba. Azaz a parancs immár így lesz:

cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=/opt ../

Vagy nem adsz meg prefix-szet, és akkor nem a különül el az /usr/local alá:

cmake -DCMAKE_BUILD_TYPE=debug ../

Persze, az „valahol” le van írva, hogy ilyenkor hova kerül, azaz a konfigurációba írják bele a fejlesztők.

Most ennyit tudtam írni, kezd el, és hátha nem jelentkezik immár a korábbi hiba. Hanem esetleg más, és arra is rá lehet nézni. Most mennem kell. ;)

Honnan szedted le? Linkelni kéne.

Értékelés: 

0
Még nincs értékelve

Konversation telepítése forrásból (2018.08.21.)

#3

A forrást innen töltöttem:
https://userbase.kde.org/Konversation/Releases

Letöltés után kicsomagoltam egy könyvtárba.
Beléptem, majd kiadtam a

 cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=<desired install location> ../

parancsot.

Volt több hibaüzenet is, de ezeket megoldottam a google segítségével.
Ez az egy maradt, amit írtam.

Értékelés: 

0
Még nincs értékelve
kimarite képe

Konversation telepítése forrásból (2018.08.21.)

#4 Alapvetően ez a parancs

cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=<desired install location> ../

nem jó. A kacsacsőrök közötti tartalom (a leírásokban) a behelyettesítés helye, az idézet, vagyis macskaköröm jele. Mint említettem, a prefix a kívánt telepítési hely (desired install location - használd olykor pl. a Google fordítót), tehát neked kell kiválasztani, és nem elég megkívánni ;), azaz, majd ezt a parancs elvégzi, mert nem.

A prefix felülbírálja a program készítőjének szándékát, de nem lehet akármi, akárhol:

It is very common to provide different options to override different locations. By standard, --prefix overrides all of them, so you need to override config location after specifying the prefix.

Nagyon gyakori, hogy különböző lehetőségeket kínál a különböző helyszínek felülbírálására. Szabvány szerint a --prefix felülírja az összeset (programozó által beállított telepítési hely), ezért felül kell hagynia a konfigurációs helyet az előtag megadása után.

A local (helyi, saját, de a rendszer tulajdona) könyvtár alá érdemes betenni a saját telepítéseket, amelyek kizárólag a te kezed által kerülnek a rendszerbe, tehát nem tükrökről, PPA-ról, stb..

cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=/usr/local ../

Vagy pedig, mivel ugyanaz az alkalmazás legújabb verziója már itt lakik (forgattad), legyen meg a programozók akarata (ne írja felül a régebbi az újabbat), egyszerűen kihagyod az a részt:

cmake -DCMAKE_BUILD_TYPE=debug ../

Vagy kerülhet az opt könyvtár alá, bár igaz, sokan használják, azért mégsem „illik” ide tenni, viszont baj nem lesz belőle.

cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=/opt ../

Az úgy nem jó, ahogy belekezdtél. Így biztos nem fog menni, kezdd előről.

Tehát a desire az magyarul a vágy, vagy kivánság ;)
https://www.youtube.com/watch?v=G1ZHXbKD_-U
Az install location, a telepítés helye. Amit szeretnél ..., mármint, ha egyáltalán szeretnél valami egyéni telepítési helyet, ez esetben használod a következő kapcsolót

-DCMAKE_INSTALL_PREFIX=<a kívánt telepítés helye>

a kívánt helyet begépelve (és elhagyva a macskakörmöket pótló kacsacsőröket).

Ha nem szeretnél semmit, hanem a fejlesztőkre bízod magad, akkor a kapcsolót ... kihagyod a CMAKE parancsból.

Más esetben a prefix alkalmazása a kettő minuszjel (nem CMAKE):

--prefix=<a kívánt telepítés helye>

Például:

./configure --prefix=/usr/local

Értékelés: 

0
Még nincs értékelve

Konversation telepítése forrásból (2018.08.21.)

#5

Bocsánat, pontatlanul fogalmaztam.
Pontosan a kiadott parancs:

cmake -DCMAKE_BUILD_TYLE=debug -DCMAKE_INSTALL_PREFIX=/home/user/konv173

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Konversation telepítése forrásból (2018.08.21.)

#6 Biztos a nyitó kérdés hibaüzenetére gondolsz. Mert mást nem látok. Az az „ECM hiba”.

Megoldása ez:

sudo apt-get install libkf5bookmarks-data extra-cmake-modules

Hétévégn is elég elfogalt leszek, de talán marad elég idő kipróbálni ezt a csomag verziót is. A telepítését.

Értékelés: 

0
Még nincs értékelve

Konversation telepítése forrásból (2018.08.21.)

#7

Igen, arra.

Mindkt javasolt csomag telepítve, mégis jön a hibaüzenet.

Kösz a segítséget, nem sürgős az ügy amúgy. :)

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Konversation 1.7.3

#6 Így kéne telepíteni

wget http://download.kde.org/download.php?url=stable/konversation/1.7.3/src/konversation-1.7.3.tar.xz -O konversation-1.7.3.tar.xz
tar -xJf konversation-1.7.3.tar.xz
cd konversation-1.7.3/
mkdir build
cd build/
cmake -DCMAKE_BUILD_TYPE=debug -DCMAKE_INSTALL_PREFIX=/usr/local ../
make
sudo make install

Az utolsó parancs helyett ezt is használhatod
(a csomag tulajdonságainak szerkesztést nem magyarázom el, a lényeg a build helyett a verziószámot kell beleszerkeszteni ..., és mást is szerkeszthetsz)

sudo checkinstall

Ez esetben a build könyvtárba készül egy DEB fájl, a későbbi telepítésekhez félreteheted például (a Tara-hoz jó). Itt működik a checkinstall. A DEB telepítő birtokában az így telepített alkalmazást egész könnyű eltávolítani (példa):

sudo dpkg -r konversation-1.7.3

... a checkinstall folyamat -a szerkesztéseid befejezése után- végén láthatod az eltávolítás módját. Az mentsd el egy szövegfájlba. Elfelejtheted. Mert ..., más lehet a név, mint a fenti parancsban, iletőleg, a (csomag) név a szerkesztésed „eredményességétől” függ.

-----

A te cmake parancsodban az user a hiba. Hacsak nem user a felhasználóneved.

cmake -DCMAKE_BUILD_TYLE=debug -DCMAKE_INSTALL_PREFIX=/home/user/konv173

Így a helyes (ha a konv173 könyvtár is létezik):

cmake -DCMAKE_BUILD_TYLE=debug -DCMAKE_INSTALL_PREFIX=/home/$USER/konv173

Igazából néha zavar az, ha nem válaszolnak a kérdésekre, hanem egyértelműnek tekinti a kérdező, hogy én mindent tudok. Mert volt egy ilyen mondat:
A második kérdés fontosabb lenne. Leszedtem valamelyik oldalról az tárolós verziótól egyel korábbi verzió forrását (1.7.3)
De, ha jól emlékszem, máig sem érkezett a válasz, hogy honnan. Annak linkelése. ... merthogy neked „ennyire fontos”. :)
Merthogy ez igenis fontos dolog. Így hát ezen „morfondíroztam” és nem vettem észre az „user” könyvtár hibát.
De megkerestem magam: https://userbase.kde.org/Konversation/Releases
És ebből készült a mostani leírás.

Na most, a régebbi Konversation telepítése nem megy „csak úgy”. A telepítés előtt törölni kell az újabb verziót vagy verziókat (általában). Különben a régebbi alkalmazás nem indul el. Így nem megy (a build könyvtárba lépés után természetesen):

sudo make uninstall
sudo make -n install

Így hát whereis-hez fordulunk, amit előbb telepíteni kell:

sudo apt-get install whereis

Ha keresek,

whereis konversation

ezt mutatja.

konversation: /usr/local/bin/konversation /usr/share/konversation

A második elérési út szerintem azért van ott, mert közben telepítettem a Konversation-t (1.7.4),

sudo apt-get install konversation

de aztán el is távolítottam.

sudo apt-get purge konversation

:) Mindez arra volt jó -ezt figyeltem meg- hogy a honosítás a tükrökről elérhető verzióban sokkal jobb, és mindez az autoconf (.configure \ make \ sudo make install) által telepített csomagra is hatással van. Teljesen magyar a menü.

De az autoconf telepítést ez a parancs törli,

sudo rm -f /usr/local/bin/konversation /usr/share/konversation

azaz egészen pontosan a te whereis kimenetedre kell építkezni a törlésnél! Amit ez mutat, azt töröld:

whereis konversation

Több Konversation se legyen telepítve.

És, mindezek után jöhet a telepítés, amit most, a hozzászólásom elején írtam le.

A telepítés után a Konversation 1.7.3 verziója indul.
Jobb, ha nem a saját könyvtárba telepíted, de azt is megpróbálhatod. Én már nem próbálom ki. ;)

A nem megválaszolt kérdés miatt jössz „legalább” fél üveg borral. A maradék a tied. :) :D

Isten áldjon!

Értékelés: 

0
Még nincs értékelve

Konversation 1.7.3

#9

Köszi, sikerült!

Megjegyzések:

sudo apt-get install whereis

hibás. -> Ez a csomag nem található: whereis
Szerintem a

sudo apt-get install util-linux

a helyes. http://manpages.ubuntu.com/manpages/bionic/man1/whereis.1.html

"De, ha jól emlékszem, máig sem érkezett a válasz, hogy honnan. Annak linkelése. ... merthogy neked „ennyire fontos”. :)"


Érkezett válasz:
linuxmint.hu/comment/21175#comment-21175

Szóval te is jösz egy fél üveg borral, így már fejenként 1 üveg borunk van! ;)

Köszönöm még egyszer!

Isten áldjon komám!

 

 

Értékelés: 

0
Még nincs értékelve
kimarite képe

Konversation 1.7.3

#10 Megbeszéltük. :)
+1

Értékelés: 

0
Még nincs értékelve